#!/bin/sh

# Transcode -> Webcam PPM Parser
# by Javantea aka. Joel R. Voss
# Sept 16, 2006

if [ ! -d data ]; then
	mkdir data
fi

if [ "$1" == "jpg" ]; then
	transcode -x v4l,null -i /dev/video0 -o data/webc1 -y jpg,null

	cd data
	sh ~/scripts/manga7.sh > view1.html
	cd ..
	exit 0
fi

if [ "$1" == "ppm" ]; then
	transcode -x v4l,null -i /dev/video0 -o data/webc1 -y ppm,null

	cd data
	sh ~/scripts/manga7.sh > view1.html
	cd ..
	exit 0
fi

make

if [ ! -p data/webc2.ppm ]; then
	mkfifo data/webc2.ppm
fi

webc1 > data/webc2.txt &
transcode -x v4l,null -i /dev/video0 -o data/webc2.ppm -y ppm2,null

echo "please execute 'killall webc1' to finish."

